:root {
  --app-height: 100vh;
  --app-width: 100vw;
  --colorPaletteGray600: #757575;
  --colorPaletteGray700: #616161;
  --colorPaletteGray300: #e0e0e0;
  --spacing03: 0.5rem;
  --spacing04: 0.75rem;
  --spacing05: 1rem;
  --spacing06: 1.5rem;
  --spacing07: 2rem;
  --spacing08: 2.5rem;
  --spacing09: 3rem;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  margin: 0;
  padding: 0;
  width: 100vw;
  height: 100vh;
}

html {
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* Common Ground custom shadow */

.shadow-cg {
  box-shadow: 0 0 2px 0 rgba(0, 0, 0, 0.16);
  box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.24);
}

/* APP Main Layout */

.App {
  width: 100vw;
  height: 100vh;
  display: grid;
  grid-template-rows: 15vh 63vh 15vh 7vh;
  grid-template-columns: 480px auto;
  overflow: hidden;
}

.panel-layout {
  overflow-y: scroll;
  grid-row: 1 / span 4;
  grid-column: 2 / span 1;
  background-color: var(--colorPaletteGray300);
  padding-bottom: 100px;
}

/* INFO KOLUMNS */

.my-masonry-grid {
  display: -webkit-box;
  /* Not needed if autoprefixing */
  display: -ms-flexbox;
  /* Not needed if autoprefixing */
  display: flex;
  margin-left: 0px;
  /* gutter size offset */
  width: auto;
  padding: var(--spacing05);
}

.my-masonry-grid_column {
  padding: var(--spacing03);
  /* gutter size */
  background-clip: padding-box;
}

.my-masonry-grid_column > div {
  /* change div to reference your elements you put in <Masonry> */
  margin-bottom: var(--spacing05);
}

/* intermetdiate screen */

@media screen and (max-width: 1824px) {
  h2 {
    font-size: 1.1rem !important;
  }
  h3 {
    font-size: 1rem !important;
  }
}

/* intermetdiate screen */

@media screen and (max-width: 1024px) {
  .App {
    grid-template-columns: 2fr 3fr;
  }
}

/* MOBILE SCREEN */

@media screen and (max-width: 768px) {
  .App {
    display: inline;
    overflow-y: scroll;
  }
}
